Bug 156904 - FC4-re0503.0 installer kernel reports slab corruption and keeps going
FC4-re0503.0 installer kernel reports slab corruption and keeps going
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-04 23:00 EDT by Alexandre Oliva
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: kernel-2.6.11-1.1286_FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-05 14:34:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2005-05-04 23:00:39 EDT
I've found these in /var/log/anaconda.syslog, after an `@Everything' kickstart
install over NFS on my Dell Inspiron 8000.  Although this is running on a i686
(PIII 1.0GHz), the kernel is the standard installer kernel, IIRC built for i586.

<6>SELinux: initialized (dev loop3, type iso9660), uses genfs_contexts
<7>UDP: bad checksum. From 172.31.160.7:56201 to 172.31.160.8:38836 ulen 1009
<3>Slab corruption: (Not tainted) start=df6992bc, len=2048
<3>Redzone: 0x5a2cf071/0x5a2cf071.
<3>Last user: [<c02f54d8>](kfree_skbmem+0x8/0x20)
<4> [<c0156f2d>] check_poison_obj+0xad/0x170
<4> [<c0158ced>] cache_alloc_debugcheck_after+0x5d/0x110
<4> [<c02f5281>] alloc_skb+0x31/0xd0
<4> [<c0159221>] __kmalloc+0x81/0xc0
<4> [<c02f5281>] alloc_skb+0x31/0xd0
<4> [<c02f5281>] alloc_skb+0x31/0xd0
<4> [<e09ff326>] e100_poll+0x6e6/0xa20 [e100]
<4> [<c02fc765>] net_rx_action+0xb5/0x280
<4> [<c0127373>] __do_softirq+0x43/0xa0
<4> [<c0105ade>] do_softirq+0x3e/0x50
<4> =======================
<4> [<c01059d8>] do_IRQ+0x58/0x90
<4> [<c0103c5a>] common_interrupt+0x1a/0x20
<4> [<c0367930>] cond_resched+0x0/0x50
<4> [<c0159b18>] cache_reap+0x68/0x370
<4> [<c0137061>] worker_thread+0x191/0x3c0
<4> [<c0159ab0>] cache_reap+0x0/0x370
<4> [<c011bbe0>] default_wake_function+0x0/0x10
<4> [<c0136ed0>] worker_thread+0x0/0x3c0
<4> [<c013ce95>] kthread+0x85/0x90
<4> [<c013ce10>] kthread+0x0/0x90
<4> [<c01012b1>] kernel_thread_helper+0x5/0x14
<3>010: 6b 6b 20 a0 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b e9 c5
<3>020: 6b 6b 00 20 e0 68 65 8d 00 02 3f 21 0a 0a 08 00
<3>030: 45 00 05 dc 67 9c 26 81 40 11 4e a5 ac 1f a0 07
<3>040: ac 1f a0 08 78 8e e7 2c 63 29 28 05 e6 bc e9 bd
<3>050: 6c 1e 2b 1b 5f f9 68 34 e7 b9 c0 97 60 ae 31 80
<3>060: ce f3 24 18 9d 4b 42 4c 8f 47 2b 05 f5 44 34 60
<3>Prev obj: start=df698ab0, len=2048
<3>Redzone: 0x170fc2a5/0x170fc2a5.
<3>Last user: [<c02f5281>](alloc_skb+0x31/0xd0)
<3>000: 5a 5a 5a 5a 5a 5a 5a 5a 5a 5a 5a 5a 5a 5a 5a 5a
<3>010: 5a 5a 00 00 00 00 c2 ac 90 0f ff ff ff ff 00 00
<3>Slab corruption: (Not tainted) start=df6a8bb0, len=2048
<3>Redzone: 0x5a2cf071/0x5a2cf071.
<3>Last user: [<c02f54d8>](kfree_skbmem+0x8/0x20)
<4> [<c0156f2d>] check_poison_obj+0xad/0x170
<4> [<c0158ced>] cache_alloc_debugcheck_after+0x5d/0x110
<4> [<c02f5281>] alloc_skb+0x31/0xd0
<4> [<c0159221>] __kmalloc+0x81/0xc0
<4> [<c02f5281>] alloc_skb+0x31/0xd0
<4> [<e09ff326>] e100_poll+0x6e6/0xa20 [e100]
<4> [<c02fc765>] net_rx_action+0xb5/0x280
<4> [<c0127373>] __do_softirq+0x43/0xa0
<4> [<c0105ade>] do_softirq+0x3e/0x50
<4> =======================
<4> [<c01059d8>] do_IRQ+0x58/0x90
<4> [<c0103c5a>] common_interrupt+0x1a/0x20
<4> [<c0367930>] cond_resched+0x0/0x50
<4> [<c0159b18>] cache_reap+0x68/0x370
<4> [<c0137061>] worker_thread+0x191/0x3c0
<4> [<c0159ab0>] cache_reap+0x0/0x370
<4> [<c011bbe0>] default_wake_function+0x0/0x10
<4> [<c0136ed0>] worker_thread+0x0/0x3c0
<4> [<c013ce95>] kthread+0x85/0x90
<4> [<c013ce10>] kthread+0x0/0x90
<4> [<c01012b1>] kernel_thread_helper+0x5/0x14
<3>010: 6b 6b 20 a0 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b ea c5
<3>Prev obj: start=df6a83a4, len=2048
<3>Redzone: 0x170fc2a5/0x170fc2a5.
<3>Last user: [<c016ac06>](__vmalloc_area+0x106/0x140)
<3>000: 40 59 38 c1 60 59 38 c1 80 59 38 c1 a0 59 38 c1
<3>010: c0 59 38 c1 e0 59 38 c1 00 5a 38 c1 20 5a 38 c1
<3>Next obj: start=df6a93bc, len=2048
<3>Redzone: 0x170fc2a5/0x170fc2a5.
<3>Last user: [<c01441ed>](add_sect_attrs+0x2d/0x140)
<3>000: 3f aa 37 c0 ec 97 6a df d8 93 6a df 80 9f ac e0
<3>010: 24 01 5a 5a a0 41 14 c0 00 00 00 00 2e 74 65 78
Comment 1 Alexandre Oliva 2005-05-05 14:34:16 EDT
Apparently fixed in FC4-re0504.0 and today's rawhide.

Note You need to log in before you can comment on or make changes to this bug.